Taiga
API ReferenceFee SchedulesV3

Upload fee schedule

Uploads a new fee schedule. Each rate may either be totally new as qualified by its dimensions or a new version for an existing rate. If adding a new version to an existing rate, the rate must be posted with the next version number (previous version + 1) or a EntityConflictError will be returned. Use the dry run flag to discover already existing rates and to run validations. If validations for any rate fail, no rates will be saved to the system.

POST
/api/fee-schedules/v3

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/fee-schedules/v3" \  -H "Content-Type: application/json" \  -d '{    "dry_run": true,    "rates": [      {        "dimensions": {          "payer_uuid": "ecc6b222-ef84-4433-9856-dedc46036dc7",          "organization_billing_provider_id": "701110bc-37ea-4e74-b1be-206d60a16948",          "states": [            "AA"          ],          "zip_codes": [            "string"          ],          "license_types": [            "MD"          ],          "facility_type_codes": [            "01"          ],          "network_types": [            "12"          ],          "payer_plan_group_ids": [            "d5a5a3d6-e046-4f56-bd9b-be28db4d8639"          ],          "cpt_code": "string",          "modifiers": [            "AV"          ]        },        "entries": [          {            "start_date": "2024-04-11",            "rate_cents": 33000,            "is_deactivated": false          }        ]      }    ]  }'
[  {    "rate_id": "3bec1d92-6fca-4949-9664-244f71111c20",    "dimensions": {      "payer_uuid": "ecc6b222-ef84-4433-9856-dedc46036dc7",      "organization_billing_provider_id": "701110bc-37ea-4e74-b1be-206d60a16948",      "states": [        "AA"      ],      "zip_codes": [        "string"      ],      "license_types": [        "MD"      ],      "facility_type_codes": [        "01"      ],      "network_types": [        "12"      ],      "payer_plan_group_ids": [        "d5a5a3d6-e046-4f56-bd9b-be28db4d8639"      ],      "cpt_code": "string",      "modifiers": [        "AV"      ]    },    "version": 0,    "updated_at": "2019-08-24",    "updated_by": "deea00dc-b6b6-4412-a483-26ac61e1f6fe",    "entries": [      {        "start_date": "2024-04-11",        "end_date": "2019-08-24",        "rate_cents": 33000,        "is_deactivated": false      }    ]  }]